%global sys_name nwg_panel

Name:       nwg-panel
Version:    0.6.2
Release:    1%{?dist}
Summary:    GTK3-based panel for sway window manager
BuildArch:  noarch

License:    MIT
URL:        https://github.com/nwg-piotr/%{name}
Source:     %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: python3-devel >= 3.4
BuildRequires: python3-setuptools

Requires:   gtk-layer-shell
Requires:   gtk3
Requires:   python3-gobject
Requires:   python3-i3ipc
Requires:   wlr-randr

Recommends: light
Recommends: playerctl
Recommends: python3-netifaces
Recommends: python3-psutil
Recommends: python3-pybluez

### Not packaged
# Recommends: pamixer

%description
I have been using sway since 2019 and find it the most comfortable working
environment, but... Have you ever missed all the graphical bells and whistles
in your panel, we used to have in tint2? It happens to me. That's why I
decided to try to code a GTK-based panel, including best features from my two
favourites: Waybar and tint2. Many thanks to Developers and Contributors of
the both projects!

There are 8 modules available at the moment, and I don't plan on many more.
Basis system controls are available in the Controls module, and whatever else
you may need, there's an executor for that.


%prep
%autosetup -p1

sed -i 's|#!/usr/bin/python|#!/usr/bin/python3|' \
    nwg_panel/executors/arch_updates.py


%build
%py3_build


%install
%py3_install

# Remove shebang from Python libraries
for lib in %{buildroot}%{python3_sitelib}/%{sys_name}/{/,modules}/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

# Remove shebang from Python libraries
for lib in %{buildroot}%{python3_sitelib}/%{sys_name}/*.py; do
 sed '1{\@^#!/usr/bin/python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-config
%{_bindir}/nwg-dwl-interface
%{python3_sitelib}/%{sys_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{sys_name}/


%changelog
* Thu Mar 17 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.2-1
- chore(update): 0.6.2

* Tue Feb 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.1-1
- chore(update): 0.6.1

* Sat Jan 29 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- chore(update): 0.6.0 (Pre-release for Rawhide only)

* Wed Jan 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.8-1
- chore(update): 0.5.8

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.7-1
- chore(update): 0.5.7

* Sun Jan 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.6-1
- chore(update): 0.5.6

* Thu Dec 30 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.3-1
- chore(update): 0.5.3

* Tue Dec 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.2-1
- chore(update): 0.5.2

* Mon Dec 13 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.1-1
- chore(update): 0.5.1

* Tue Nov 16 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- chore(update): 0.5.0

* Mon Aug 23 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.3-1
- build(update): 0.4.3

* Fri Jul 30 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.2-1
- build(update): 0.4.2

* Thu Jul 29 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.1-1
- build(update): 0.4.1

* Mon Jul 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-1
- build(update): 0.4.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.3-1
- build(update): 0.3.3

* Wed Jun 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.2-1
- build(update): 0.3.2

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.3.1-2
- Rebuilt for Python 3.10

* Thu May 06 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.1-1
- build(update): 0.3.1

* Fri Apr 16 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.3-1
- build(update): 0.2.3

* Tue Apr 06 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.1-1
- Initial package
